Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.blojsom.plugin.admin
Class EditBlogFlavorsPlugin

    java.lang.Object
      org.blojsom.plugin.admin.BaseAdminPlugin
          org.blojsom.plugin.admin.EditBlogFlavorsPlugin

All Implemented Interfaces:
  PermissionedPlugin, Plugin

public class EditBlogFlavorsPlugin
extends BaseAdminPlugin

EditBlogFlavorsPlugin

Since:
  blojsom 3.0
Version:
  $Id: EditBlogFlavorsPlugin.java,v 1.5 2006/05/02 12:57:53 czarneckid Exp $
Author:
  David Czarnecki

Field Summary

Fields inherited from class org.blojsom.plugin.admin.BaseAdminPlugin
`_authorizationProvider, _ignoreParams, _resourceManager, _servletConfig, ACTION_PARAM, ADMIN_ADMINISTRATION_PAGE, ADMIN_AJAX_RESPONSE, ADMIN_LOGIN_PAGE, BLOJSOM_ADMIN_MESSAGES_RESOURCE, BLOJSOM_ADMIN_PLUGIN_AUTHENTICATED_KEY, BLOJSOM_ADMIN_PLUGIN_OPERATION_RESULT, BLOJSOM_ADMIN_PLUGIN_PASSWORD_PARAM, BLOJSOM_ADMIN_PLUGIN_USERNAME, BLOJSOM_ADMIN_PLUGIN_USERNAME_KEY, BLOJSOM_ADMIN_PLUGIN_USERNAME_PARAM, BLOJSOM_PERMISSION_CHECKER, BLOJSOM_USER_AUTHENTICATED, LOGIN_ACTION, LOGIN_ERROR_TEXT_KEY, LOGOUT_ACTION, PAGE_ACTION, PLUGIN_ADMIN_INHERIT_APACHE_CREDENTIALS, SUBACTION_PARAM`

Constructor Summary
`EditBlogFlavorsPlugin()` Default constructor.

Method Summary
`protected void` | `addFlavorInformationToContext(Blog blog, java.util.Map context)` Add flavor information to the context
`void` | `init()` Initialize this plugin.
`Entry[]` | `process(javax.servlet.http.HttpServletRequest httpServletRequest, javax.servlet.http.HttpServletResponse httpServletResponse, Blog blog, java.util.Map context, Entry[] entries)` Process the blog entries
`void` | `setBlojsomProperties(java.util.Properties blojsomProperties)` Set the default blojsom properties
`void` | `setFetcher(Fetcher fetcher)` Set the `Fetcher`

Methods inherited from class org.blojsom.plugin.admin.BaseAdminPlugin
`addOperationResultMessage, authenticateUser, checkPermission, cleanup, destroy, formatAdminResource, getAdminResource, getUsernameFromSession, setAuthorizationProvider, setResourceManager, setServletConfig`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditBlogFlavorsPlugin

    public EditBlogFlavorsPlugin()

  Default constructor.

Method Detail

### setFetcher

    public void setFetcher(Fetcher fetcher)

  Set the `Fetcher`

  Parameters:
    `fetcher` - `Fetcher`

### setBlojsomProperties

    public void setBlojsomProperties(java.util.Properties blojsomProperties)

  Set the default blojsom properties

### init

    public void init()
              throws PluginException

  Initialize this plugin. This method only called when the plugin is instantiated.

  Specified by:
    `init` in interface `Plugin`
  Overrides:
    `init` in class `BaseAdminPlugin`
  Throws:
    `If` - there is an error initializing the plugin
    `PluginException` - If there is an error initializing the plugin

### addFlavorInformationToContext

    protected void addFlavorInformationToContext(Blog blog,
                                                 java.util.Map context)

  Add flavor information to the context

  Parameters:
    `blog` - `Blog`
    `context` - Context

### process

    public Entry[] process(javax.servlet.http.HttpServletRequest httpServletRequest,
                           javax.servlet.http.HttpServletResponse httpServletResponse,
                           Blog blog,
                           java.util.Map context,
                           Entry[] entries)
                    throws PluginException

  Process the blog entries

  Specified by:
    `process` in interface `Plugin`
  Overrides:
    `process` in class `BaseAdminPlugin`
  Parameters:
    `httpServletRequest` - Request
    `httpServletResponse` - Response
    `blog` - `Blog` instance
    `context` - Context
    `entries` - Blog entries retrieved for the particular request
  Returns:
    Modified set of blog entries
  Throws:
    `PluginException` - If there is an error processing the blog entries

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD